Index: trunk/FACT++/dim/src/did/did.c
===================================================================
--- trunk/FACT++/dim/src/did/did.c	(revision 14939)
+++ trunk/FACT++/dim/src/did/did.c	(revision 15282)
@@ -129,5 +129,5 @@
         XtSetArg(arglist[n], XmNadjustLast, False); n++;
 	sprintf(w_name,"matrix_row");
-	row_col_id = XmCreateRowColumn(top_id,w_name,arglist,n);
+	row_col_id = XmCreateRowColumn(top_id,w_name,arglist,(Cardinal)n);
 	XtManageChild(row_col_id);
 	Matrix_id[Curr_matrix] = row_col_id;
@@ -302,5 +302,5 @@
     XtSetArg ( ar[n], XmNscrollingPolicy, XmAUTOMATIC); n++;
 
-    sl = XmCreateScrolledWindow ( f, "ScrollWin", ar, n );
+    sl = XmCreateScrolledWindow ( f, "ScrollWin", ar, (Cardinal)n );
     /*
     XtVaSetValues ( sl, 
@@ -363,5 +363,5 @@
 
 	w = XmCreateSeparator(parent_id, "separator",
-		arglist,n);
+		arglist,(Cardinal)n);
 	XtManageChild(w);
 	return(w);
@@ -758,5 +758,5 @@
     XtSetArg ( arglist[n], XmNtraversalOn,True); n++;
     return XtAppCreateShell(argv[0], NULL, applicationShellWidgetClass,
-                            display, arglist, n);
+                            display, arglist, (Cardinal)n);
      
 }
@@ -860,5 +860,5 @@
 				}
 				for(i = 0;*ptr; ptr++, i++)
-					Curr_view_opt_par[i] = toupper(*ptr);
+					Curr_view_opt_par[i] = (char)toupper((int)*ptr);
 				Curr_view_opt_par[i] = '\0';
 			}
@@ -1033,6 +1033,6 @@
 Widget id,sel_id;
 int i, j, n_nodes, curr_index = 0;
-char nodes_str[MAX_NODE_NAME*MAX_CONNS], max_str[MAX_NODE_NAME];
-char *ptr, *nodeptrs[MAX_CONNS], *curr_str, *sptr;
+char nodes_str[MAX_NODE_NAME*MAX_CONNS*2], max_str[MAX_NODE_NAME];
+char *ptr, *nodeptrs[MAX_CONNS*2], *curr_str, *sptr;
 int get_nodes();
 
@@ -1052,7 +1052,7 @@
 		sptr = ptr;
 		ptr = strchr(ptr,'\n');
+		*ptr++ = '\0';
 		for(j = 0; j < (int)strlen(sptr); j++)
-		  sptr[j] = tolower(sptr[j]);
-		*ptr++ = '\0';
+		  sptr[j] = (char)tolower((int)sptr[j]);
 	}
 	strcpy(max_str,"zzzzzzzzzzzzzzzzzzzzzzzzzzzz");
@@ -1169,5 +1169,5 @@
 		    ptr1 = strchr(ptr,'|');
 		}
-	    strncpy(Curr_service_format,ptr,(int)(ptr1 - ptr));
+	    strncpy(Curr_service_format,ptr,(size_t)(ptr1 - ptr));
 	    Curr_service_format[(int)(ptr1-ptr)] = '\0';
 	}
@@ -1183,7 +1183,7 @@
 
 	if(tag){}
-	Service_content_str = malloc(1024 + (*size)*16);
-	Service_buffer = malloc(*size);
-	memcpy(Service_buffer, (char *)buffer, *size);
+	Service_content_str = malloc((size_t)(1024 + (*size)*16));
+	Service_buffer = malloc((size_t)*size);
+	memcpy(Service_buffer, (char *)buffer, (size_t)*size);
 	Service_size = *size;
 	get_service_format();
@@ -1303,8 +1303,8 @@
       strcat(Service_content_str," L");
       if(!num)
-	size = ssize/sizeof(int);
+	size = ssize/(int)sizeof(int);
       else
 	size = num;
-      psize = size * sizeof(int);
+      psize = size * (int)sizeof(int);
       print_service_standard(ptr, size);
       break;
@@ -1313,8 +1313,8 @@
       strcat(Service_content_str," I");
       if(!num)
-	size = ssize/sizeof(int);
+	size = ssize/(int)sizeof(int);
       else
 	size = num;
-      psize = size * sizeof(int);
+      psize = size * (int)sizeof(int);
       print_service_standard(ptr, size);
       break;
@@ -1323,8 +1323,8 @@
       strcat(Service_content_str," S");
       if(!num)
-	size = ssize/sizeof(short);
+	size = ssize/(int)sizeof(short);
       else
 	size = num;
-      psize = size * sizeof(short);
+      psize = size * (int)sizeof(short);
       print_service_short(ptr, size);
       break;
@@ -1333,8 +1333,8 @@
       strcat(Service_content_str," F");
       if(!num)
-	size = ssize/sizeof(float);
+	size = ssize/(int)sizeof(float);
       else
 	size = num;
-      psize = size * sizeof(float);
+      psize = size * (int)sizeof(float);
       print_service_float(ptr, size);
       break;
@@ -1343,8 +1343,8 @@
       strcat(Service_content_str," D");
       if(!num)
-	size = ssize/sizeof(double);
+	size = ssize/(int)sizeof(double);
       else
 	size = num;
-      psize = size * sizeof(double);
+      psize = size * (int)sizeof(double);
       print_service_double(ptr, size);
       break;
@@ -1353,8 +1353,8 @@
       strcat(Service_content_str," X");
       if(!num)
-	size = ssize/sizeof(longlong);
+	size = ssize/(int)sizeof(longlong);
       else
 	size = num;
-      psize = size * sizeof(longlong);
+      psize = size * (int)sizeof(longlong);
       print_service_standard(ptr, size*2);
       break;
@@ -1997,5 +1997,5 @@
       if(last_size)
 	free(last_buffer);
-      last_buffer = malloc(full_size);
+      last_buffer = malloc((size_t)full_size);
       last_size = full_size;
    }
@@ -2143,6 +2143,6 @@
 	  strp++;
 	}
-	num = strlen(strp)+1;
-	strncpy((char *)ptr,strp,num);
+	num = (int)strlen(strp)+1;
+	strncpy((char *)ptr,strp,(size_t)num);
 	if( (ptr1 = (char *)strchr((char *)ptr,'\"')) )
 	{
@@ -2198,5 +2198,5 @@
 		      Curr_service_id = 0;
 		  }
-		  Curr_service_id = dic_info_service_stamped(Curr_service_name,
+		  Curr_service_id = (int)dic_info_service_stamped(Curr_service_name,
 						     MONITORED,10,0,0,
 						     recv_service_info,0,
@@ -2218,5 +2218,5 @@
 		      Curr_service_id = 0;
 		  }
-		  Curr_service_id = dic_info_service_stamped(Curr_service_name,
+		  Curr_service_id = (int)dic_info_service_stamped(Curr_service_name,
 						     MONITORED,0,0,0,
 						     recv_service_info,0,
@@ -2404,7 +2404,7 @@
 		if(n_services != -1)
 		{
-			service_size = n_services*sizeof(DNS_SERVICE_INFO);
-			servp->service_ptr = (DNS_SERVICE_INFO *)malloc(service_size);
-			memcpy(servp->service_ptr, buffer->services, service_size);
+			service_size = n_services*(int)sizeof(DNS_SERVICE_INFO);
+			servp->service_ptr = (DNS_SERVICE_INFO *)malloc((size_t)service_size);
+			memcpy(servp->service_ptr, buffer->services, (size_t)service_size);
 			N_services += n_services;
 		}
@@ -2539,16 +2539,19 @@
 				  strcpy(node, server_ptr->node);
 				  strcpy(par, Curr_view_opt_par);
-				  ptr = strchr(node, '.');
-				  if(ptr)
-				    *ptr = '\0';
-				  ptr = strchr(par,'.');
-				  if(ptr)
-				    *ptr = '\0';
+				  if(!isdigit(node[0]))
+				  {
+					ptr = strchr(node, '.');
+					if(ptr)
+						*ptr = '\0';
+					ptr = strchr(par,'.');
+					if(ptr)
+						*ptr = '\0';
+				  }
 				  ptr = node;
 				  for(i = 0; i < (int)strlen(ptr); i++)
-				    ptr[i] = tolower(ptr[i]);
+				    ptr[i] = (char)tolower((int)ptr[i]);
 				  ptr = par;
 				  for(i = 0; i < (int)strlen(ptr); i++)
-				    ptr[i] = tolower(ptr[i]);
+				    ptr[i] = (char)tolower((int)ptr[i]);
 					 if(!strcmp(/*server_ptr->*/node, /*Curr_view_opt_*/par))
 					{
@@ -2661,5 +2664,5 @@
 	w_id = w = XmCreateMenuBar(Matrix_id[Curr_matrix],
 				(String)XmStringCreateLtoR ( w_name,XmSTRING_DEFAULT_CHARSET),
-				arglist,n);
+				arglist,(Cardinal)n);
 /*				
 	if(n_services == -1)
@@ -2675,5 +2678,5 @@
 	w = XmCreateCascadeButton(w,
 				(String)XmStringCreateLtoR ( w_name,XmSTRING_DEFAULT_CHARSET),
-				arglist,n);
+				arglist,(Cardinal)n);
 	set_something(w,XmNlabelString,name);
 	set_something(w,XmNalignment,XmALIGNMENT_CENTER);
@@ -2689,5 +2692,5 @@
 		ww = XmCreatePulldownMenu(w_id,
 				(String)XmStringCreateLtoR ( w_name,XmSTRING_DEFAULT_CHARSET),
-				arglist,n);
+				arglist,(Cardinal)n);
 		set_something(w,XmNsubMenuId,ww);
 		XtManageChild(w);
@@ -2697,5 +2700,5 @@
 		w = XmCreatePushButton(ww,
 				(String)XmStringCreateLtoR ( w_name,XmSTRING_DEFAULT_CHARSET),
-				arglist,n);
+				arglist,(Cardinal)n);
 
 		set_something(w,XmNlabelString,"Services");
@@ -2709,5 +2712,5 @@
 		w = XmCreatePushButton(ww,
 				(String)XmStringCreateLtoR ( w_name,XmSTRING_DEFAULT_CHARSET),
-				arglist,n);
+				arglist,(Cardinal)n);
 
 		set_something(w,XmNlabelString,"Clients");
@@ -2857,5 +2860,5 @@
 
 	service_ptr = servp->service_ptr;
-	service_list = (DID_SLOT *)malloc(ptr->n_services * MAX_NAME);
+	service_list = (DID_SLOT *)malloc((size_t)(ptr->n_services * MAX_NAME));
 	n_services = ptr->n_services;
 
@@ -3300,5 +3303,5 @@
       XtSetArg(ar[n],XmNselectionLabelString, xmSelection); n++;
       }
-    sd = XmCreateSelectionDialog ( toplevel_widget, "Selection", ar, n );
+    sd = XmCreateSelectionDialog ( toplevel_widget, "Selection", ar, (Cardinal)n );
     XmStringFree(xmList);
     XmStringFree(xmOk);
@@ -3338,5 +3341,5 @@
     XtSetArg(ar[n],XmNwidth, 500); n++;
     XtSetArg(ar[n],XmNdirMask, xm1); n++;
-    sd = XmCreateFileSelectionDialog ( toplevel_widget, "FileSelection", ar, n );
+    sd = XmCreateFileSelectionDialog ( toplevel_widget, "FileSelection", ar, (Cardinal)n );
     
     XmStringFree(xm1);
@@ -3367,5 +3370,5 @@
     */
     XtSetArg(ar[n],XmNselectionLabelString, xm1); n++;
-    sd = XmCreatePromptDialog ( toplevel_widget, "Prompt", ar, n );
+    sd = XmCreatePromptDialog ( toplevel_widget, "Prompt", ar, (Cardinal)n );
     
     XmStringFree(xm1);
@@ -3396,5 +3399,5 @@
     */
     XtSetArg(ar[n],XmNmessageString, xm1); n++;
-    sd = XmCreateQuestionDialog ( toplevel_widget, "Question", ar, n );
+    sd = XmCreateQuestionDialog ( toplevel_widget, "Question", ar, (Cardinal)n );
     
     XmStringFree(xm1);
@@ -3419,5 +3422,5 @@
     XtSetArg(ar[n],XmNborderWidth, 1); n++;
     XtSetArg(ar[n],XmNresizePolicy, XmRESIZE_ANY); n++;
-    fd = XmCreateFormDialog ( toplevel_widget, "Form", ar, n );
+    fd = XmCreateFormDialog ( toplevel_widget, "Form", ar, (Cardinal)n );
     XtManageChild(fd);
 
@@ -3434,5 +3437,5 @@
     XtSetArg(ar[n],XmNleftAttachment, XmATTACH_FORM); n++;
     XtSetArg(ar[n],XmNleftOffset, 0); n++;
-    rc = XmCreateRowColumn ( fd, "rowcol", ar, n );
+    rc = XmCreateRowColumn ( fd, "rowcol", ar, (Cardinal)n );
     XtManageChild(rc);
 
@@ -3444,5 +3447,5 @@
     XtSetArg ( ar[n], XmNscrollingPolicy, XmAUTOMATIC); n++;
 
-    sw = XmCreateScrolledWindow ( rc, "ScrollWin", ar, n );
+    sw = XmCreateScrolledWindow ( rc, "ScrollWin", ar, (Cardinal)n );
     XtManageChild ( sw );
 
@@ -3453,5 +3456,5 @@
     XtSetArg(ar[n],XmNlabelString, xm1); n++;
     XtSetArg(ar[n],XmNalignment, XmALIGNMENT_BEGINNING); n++;
-    lb = XmCreateLabel ( sw, "label", ar, n );
+    lb = XmCreateLabel ( sw, "label", ar, (Cardinal)n );
     XtManageChild(lb);
     XmStringFree(xm1);
@@ -3467,5 +3470,5 @@
     XtSetArg(ar[n],XmNnumColumns, 3); n++;
     XtSetArg(ar[n],XmNpacking, XmPACK_COLUMN); n++;
-    rc1 = XmCreateRowColumn ( rc, "buttons", ar, n );
+    rc1 = XmCreateRowColumn ( rc, "buttons", ar, (Cardinal)n );
     XtManageChild(rc1);
     /*    
@@ -3496,5 +3499,5 @@
     XtSetArg(ar[n],XmNfontList, did_default_font); n++;
     XtSetArg(ar[n],XmNlabelString, xm1); n++;
-    b = XmCreatePushButton ( parent, "button", ar, n );
+    b = XmCreatePushButton ( parent, "button", ar, (Cardinal)n );
  
     XtManageChild(b);
@@ -3506,5 +3509,2 @@
 }
 
-
-
-
Index: trunk/FACT++/dim/src/dim_jni.c
===================================================================
--- trunk/FACT++/dim/src/dim_jni.c	(revision 14939)
+++ trunk/FACT++/dim/src/dim_jni.c	(revision 15282)
@@ -620,5 +620,5 @@
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "String";
   if(This){}
-  ret = send_data(env, name, theCompletionHandler, mode, timeout, (void*) data, strlen(data)+1);
+  ret = send_data(env, name, theCompletionHandler, mode, timeout, (void*) data, (int)strlen(data)+1);
 
 	(*env)->ReleaseStringUTFChars(env,sdata, data);
@@ -640,5 +640,5 @@
 
 	nativeDataArray = (*env)->GetBooleanArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "boolean[]";
@@ -664,5 +664,5 @@
 
 	nativeDataArray = (*env)->GetCharArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jchar[]";
@@ -688,5 +688,5 @@
 
 	nativeDataArray = (*env)->GetByteArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jbyte[]";
@@ -712,5 +712,5 @@
 
 	nativeDataArray = (*env)->GetShortArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jshort[]";
@@ -736,5 +736,5 @@
 
 	nativeDataArray = (*env)->GetIntArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jint[]";
@@ -760,5 +760,5 @@
 
 	nativeDataArray = (*env)->GetLongArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jlong[]";
@@ -784,5 +784,5 @@
 
 	nativeDataArray = (*env)->GetFloatArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jfloat[]";
@@ -808,5 +808,5 @@
 
 	nativeDataArray = (*env)->GetDoubleArrayElements(env,dataArray,0);
-	length          = (*env)->GetArrayLength(env,dataArray) * sizeof(*nativeDataArray);
+	length          = (jint)(*env)->GetArrayLength(env,dataArray) * (jint)sizeof(*nativeDataArray);
 
   DBG(dim_Dbg_SEND_NATIVE) send_data_format = "jdouble[]";
@@ -1009,5 +1009,5 @@
 
 
-  ret = request_service((char *)info, service_type, timeout, 0, 0, callback_function, (dim_long)callback_param, &no_link, 0, stamped);
+  ret = (jint)request_service((char *)info, service_type, timeout, 0, 0, callback_function, (dim_long)callback_param, &no_link, 0, stamped);
   DBGx(dim_Dbg_INFO_SERVICE) printf("DimJNI: client infoService(%s, DataDecoder@0x%08lx, mode=%d, timeout=%d ) returns %d\n", info, (dim_long)theNativeDataDecoder, mode, timeout, ret);
   (*env)->ReleaseStringUTFChars(env, name, info);
@@ -1407,5 +1407,5 @@
 	if(This){}
  	dataEncoder = (*env)->NewGlobalRef(env, dataEncoder);
-	sid = dis_add_service(serviceNameUTF, serviceTypeUTF, 0, 0, server_getInfo_callback, dataEncoder);
+	sid = (jint)dis_add_service(serviceNameUTF, serviceTypeUTF, 0, 0, server_getInfo_callback, dataEncoder);
 
 	DBGx(dim_Dbg_ADD_SERVICE) printf("DimJNI: Server.addService(%s,%s, @%08lx)=%d\n",serviceNameUTF, serviceTypeUTF, (dim_long)dataEncoder, sid);
@@ -1441,5 +1441,5 @@
 	if(This){}
  	dataDecoder = (*env)->NewGlobalRef(env, dataDecoder);
-	sid = dis_add_cmnd(serviceNameUTF, serviceTypeUTF, server_cmnd_callback, dataDecoder);
+	sid = (jint)dis_add_cmnd(serviceNameUTF, serviceTypeUTF, server_cmnd_callback, dataDecoder);
 
 	DBGx(dim_Dbg_ADD_CMND) printf("DimJNI: Server.addCmnd(%s,%s, @%08lx) = %d\n",serviceNameUTF, serviceTypeUTF, (dim_long) dataDecoder, sid);
@@ -1467,5 +1467,5 @@
 
 	DBGe(dim_Dbg_UPDATE_SERVICE) printf("DimJNI: Server.updateService %d\n", sid);
-	do_update_service(sid, clientArray);
+	do_update_service((unsigned int)sid, (int *)clientArray);
 
 	if(clientArray!=NULL) (*env)->ReleaseIntArrayElements(env,clients,clientArray,JNI_ABORT);
@@ -1787,5 +1787,5 @@
   {
     int* data = (int*) internalDataAddress;
-    int leng = internalDataSize/sizeof(int);
+    int leng = (int)internalDataSize/(int)sizeof(int);
     int  i;
 
@@ -2063,5 +2063,5 @@
 	if(nativeClass){}
 //	DBGe(dim_Dbg_MEMORY_ALLOCATE) ; /* report only */
-  address = (jlong) malloc(size);
+  address = (jlong) malloc((size_t)size);
 	DBGx(dim_Dbg_MEMORY_ALLOCATE) printf("DimJNI: MutableMemory.allocateNativeDataBlock of %d bytes at 0x%08lx\n", size, address);
   return address;
@@ -2337,5 +2337,5 @@
 	if(nativeClass){}
 	DBGe(dim_Dbg_MUTABLE_MEMORY) printf("DimJNI: MutableMemory.copyNativeDataBlock\n");
-  memcpy((void *)destinationDataAddress, (void *)sourceDataAddress, length);
+	memcpy((void *)destinationDataAddress, (void *)sourceDataAddress, (size_t)length);
 	return ;
 }
@@ -2391,5 +2391,5 @@
 	if(maxEntries==0) maxEntries = 10;
 	descriptor = (objectDescriptor_type*) malloc(sizeof(objectDescriptor_type));
-	descriptor->entry = (objectDescriptorEntry_type*) malloc(maxEntries * sizeof(objectDescriptorEntry_type));
+	descriptor->entry = (objectDescriptorEntry_type*) malloc((size_t)(maxEntries * (jint)sizeof(objectDescriptorEntry_type)));
 	descriptor->objectClass = (*env)->NewGlobalRef(env, objectClass);
 	descriptor->entries = 0;
@@ -2404,5 +2404,5 @@
 	if(descriptor->entries == descriptor->maxEntries)
 	{
-		objectDescriptorEntry_type* entry = realloc(descriptor->entry, descriptor->maxEntries+10);
+		objectDescriptorEntry_type* entry = realloc(descriptor->entry, (size_t)(descriptor->maxEntries+10));
 //printf("realloc descriptor\n");
 		if(entry==NULL) return NULL;
Index: trunk/FACT++/dim/src/dim_thr.c
===================================================================
--- trunk/FACT++/dim/src/dim_thr.c	(revision 14939)
+++ trunk/FACT++/dim/src/dim_thr.c	(revision 15282)
@@ -121,4 +121,9 @@
 #endif
 */
+    if(DIM_Threads_OFF)
+    {
+		dim_no_threads();
+		return;
+    }
 	if(!DIM_THR_init_done)
 	{
@@ -136,5 +141,5 @@
 		
 #ifndef darwin 	
-		sem_init(&DIM_INIT_Sema, 0, INIT_count);
+		sem_init(&DIM_INIT_Sema, 0, (unsigned int)INIT_count);
 		/*
 		sem_init(&DIM_WAIT_Sema, 0, WAIT_count);
@@ -710,5 +715,5 @@
 	HANDLE hProc;
 	int ret;
-	DWORD p;
+	DWORD p = 0;
 
 #ifndef PXI
@@ -778,6 +783,6 @@
 int dim_set_priority(int threadId, int prio)
 {
-	HANDLE id;
-	int ret, p;
+	HANDLE id = 0;
+	int ret, p = 0;
 
 #ifndef PXI
@@ -815,6 +820,6 @@
 int dim_get_priority(int threadId, int *prio)
 {
-	HANDLE id;
-	int ret, p;
+	HANDLE id = 0;
+	int ret, p = 0;
 
 #ifndef PXI
Index: trunk/FACT++/dim/src/dimcpp.cxx
===================================================================
--- trunk/FACT++/dim/src/dimcpp.cxx	(revision 14939)
+++ trunk/FACT++/dim/src/dimcpp.cxx	(revision 15282)
@@ -94,5 +94,5 @@
 	if(!itsId)
 	{
-		itsId = dim_start_thread(thread_user_routine, this);
+		itsId = (long)dim_start_thread(thread_user_routine, this);
 		return 1;
 	}
